Community
AutoCAD Forum
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Dimensions Read from Wrong Direction?

8 REPLIES 8
SOLVED
Reply
Message 1 of 9
doni49
6000 Views, 8 Replies

Dimensions Read from Wrong Direction?

For some reason when I place a dimension that's not horizontal, Acad wants to make it read from the left side of the sheet (see the image).  I need it to read from the RIGHT side of the sheet.

 

DimDirection2.png



Don Ireland
Engineering Design Technician




If a reply solves your issue, please remember to click on "Accept as Solution". This will help other users looking to solve a similar issue. Thank you.


Please do not send a PM asking for assistance. That's what the forums are for. This allows everyone to benefit from the question asked and the answers given.

8 REPLIES 8
Message 2 of 9
doni49
in reply to: doni49

I found a setting under the Dimension properties that sorta helps but:

 

  1. It seems like I shouldn't need to either make a new style for this or change the property overrides for dimensions like this.
  2. All this does is rotate the text 180 degrees -- but now it's "below" the dim line.

DimDirection.png



Don Ireland
Engineering Design Technician




If a reply solves your issue, please remember to click on "Accept as Solution". This will help other users looking to solve a similar issue. Thank you.


Please do not send a PM asking for assistance. That's what the forums are for. This allows everyone to benefit from the question asked and the answers given.

Message 3 of 9
Patchy
in reply to: doni49

I've seen it before but forgot why it was that way so I go around it with autolisp.

 

;;; FDT.LSP Flip Dimension Text
;;; Cadalyst Tips & Tools Weekly - April 7, 2008
;;; (c) Cadalyst and Stephen Grace, 2008
;;; by Stephen Grace

;;; Utility extracted from My Office Standardization Utilities
;;; Stephen Grace, Public Works and Government Services Canada, 2008
;;;===============================================================================
;;; Flip Dimension Text
;;; Fixes upside down dimension text
(defun FlipDimensionText (/ ss cnt EntName EntList)
(setq ss (ssget '((0 . "DIMENSION"))))
(setq cnt 0)
(while (< cnt (sslength ss))
(setq EntName (ssname ss cnt))
(setq EntList (entget EntName))
(entmod (subst (cons 51 (- (abs (cdr (assoc 51 EntList))) PI)) (assoc 51 EntList)EntList))
(entupd EntName)
(setq cnt (1+ cnt))
)
)
(defun C:FDT () (FlipDimensionText))
;(princ "\nFlip Dimension Text, Type FDT to run.")

Message 4 of 9
doni49
in reply to: Patchy

Thanks.  At least I'll be able to finish my plan AND have it look right too.



Don Ireland
Engineering Design Technician




If a reply solves your issue, please remember to click on "Accept as Solution". This will help other users looking to solve a similar issue. Thank you.


Please do not send a PM asking for assistance. That's what the forums are for. This allows everyone to benefit from the question asked and the answers given.

Message 5 of 9
steve216586
in reply to: doni49

Is the screen shot taken from a viewport? I've seen it where it will switch if the angle of rotation, within a viewport, is past a certain number of degrees.

"No one can make you feel inferior without your consent. "-Eleanor Roosevelt
Message 6 of 9
Anonymous
in reply to: doni49

Is there any possibility that those horizontal lines are not exactly horizontal? If either the lines or the dimension are rotated even a fraction of a degree counter clockwise it would show like that.

Message 7 of 9
Anonymous
in reply to: doni49

One easy way to get your dimension oriented the way you want is to rotate the UCS around the z-axis 180 degrees before placing the dimension.

Message 8 of 9
doni49
in reply to: Anonymous

Thanks but that'll never happen here.  We DO NOT rotate the UCS.  And even doing it temporarily runs the risk of forgetting to change it back.



Don Ireland
Engineering Design Technician




If a reply solves your issue, please remember to click on "Accept as Solution". This will help other users looking to solve a similar issue. Thank you.


Please do not send a PM asking for assistance. That's what the forums are for. This allows everyone to benefit from the question asked and the answers given.

Message 9 of 9
Anonymous
in reply to: doni49


@doni49 wrote:

Thanks but that'll never happen here.  We DO NOT rotate the UCS.  And even doing it temporarily runs the risk of forgetting to change it back.


Yeah, I was going to add a cautionary caveat.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Forma Design Contest


AutoCAD Beta